File: changelog

package info (click to toggle)
alt-ergo 2.0.0-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,224 kB
  • sloc: ml: 28,606; makefile: 15; sh: 12
file content (338 lines) | stat: -rw-r--r-- 12,624 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
alt-ergo (2.0.0-5) unstable; urgency=medium

  * Add libnum-ocaml-dev to Build-Depends

 -- St├ęphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 08:18:21 +0200

alt-ergo (2.0.0-4) unstable; urgency=high

  * Team upload
  * Fix compilation with camlzip >= 1.08

 -- St├ęphane Glondu <glondu@debian.org>  Wed, 31 Jul 2019 11:08:36 +0200

alt-ergo (2.0.0-3) unstable; urgency=medium

  * Install files directly without going through dh_install
  * d/rules:
    - drop setting of BUILD_DATE which is no longer useful
    - drop inclusion of ocamlvars.mk which is no longer useful

 -- Ralf Treinen <treinen@debian.org>  Thu, 14 Feb 2019 04:21:22 +0100

alt-ergo (2.0.0-2) unstable; urgency=medium

  * Install plugins only on architectures with dynamic linking

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2019 22:40:56 +0100

alt-ergo (2.0.0-1) unstable; urgency=medium

  * Adjust debian/watch to the new *-free releases
  * New upstream release
    - refreshed patch 0001-dont-activate-debug-flags
    - dropped patch 0002-non-free-dropped which is no longer needed as upstream
      now publishes a completely free version
    - dropped patch 0003-allow-set-build-date since upstream has replaced
      the build-date by a release-date.
    - dropped patch spelling which has been applied upstream
    - dropped patch ocplib-simplex-0.4 since issue solved by upstream
  * debian/copyright:
    - license changed from CeCILL-C to Apache 2.0
    - https in format header
  * Build-dependencies:
    - ocplib-simplex: put a version constraint as indicated by upstream
    - ocaml-nox: bump minimal version to 4.04 as indicated by upstream
    - added menhir
    - debian-compat (=12)
  * Re-activate building and installing of the gui.
  * Do not install fpa-theory-2017-01-04-16h00.why which seems cruft
  * Override dh_dwz
  * Standards-version 4.3.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2019 21:02:29 +0100

alt-ergo (1.30+dfsg1-2) unstable; urgency=medium

  * Since lablgtk2 does no longer build liblablgtksourceview2-ocaml-dev:
    - d/rules: stop building gui
    - drop build-dependencies on liblablgtk2-gnome-ocaml-dev and
      liblablgtksourceview2-ocaml-dev
    - drop mention of gui from the package description
    - added d/NEWS entry about this
  * Vcs-{Browser,Git}: switch to salsa
  * d/watch: minor fix
  * Standards-Version 4.2.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Nov 2018 20:43:44 +0100

alt-ergo (1.30+dfsg1-1) unstable; urgency=medium

  * Repack source to exclude the non-free/ directory (closes: #883755).
  * Patch ocplib-simplex-0.4: patch to compile with version 0.4 of
    ocplib-simplex-ocaml-dev (closes: #882162).
  * Standards-Version 4.1.2 (no change)
  * debian/watch: drop pgpsigurlmangle

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 Dec 2017 20:01:21 +0100

alt-ergo (1.30-1) unstable; urgency=medium

  * new upstream version:
    - refreshed patch 0001-dont-activate-debug-flags
    - refreshed patch 0002-non-free-dropped
    - refreshed patch 0003-allow-set-build-date
    - added build-dependency on ocplib-simplex-ocaml-dev, libzip-ocaml-dev,
      and ocaml-findlib
  * debhelper compatibility level 10:
    - bumped build-dependency on debhelper
    - bumped value in debian/compat
    - debian/rules: sequence before options in dh invocation
  * standards-version 3.9.8 (no change)
  * debian/control: dropped redundant Testsuite
  * updated Vcs-{Git,Browser}
  * patch spelling: various upstream spelling errors

 -- Ralf Treinen <treinen@debian.org>  Mon, 12 Dec 2016 19:58:57 +0100

alt-ergo (1.01-1) unstable; urgency=medium

  * new upstream version. Refreshed patches.
  * debian/watch: version 4. Add option pgpsigurlmangle.
  * standards-version 3.9.7 (no change)
  * bump version of build-dependency ocaml, according to upstream install
    instructions.

 -- Ralf Treinen <treinen@debian.org>  Tue, 01 Mar 2016 21:17:13 +0100

alt-ergo (0.99.1+dfsg1-4) unstable; urgency=low

  * debian/patches/series: add missing newline
  * debian/control: XS-Testsuite => Testsuite
  * debian/control: drop duplicated Section
  * debian/control: canonical URI in VCS fields
  * debian/copyright: Makefile.in => Makefile.configurable.in

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 May 2015 21:56:56 +0200

alt-ergo (0.99.1+dfsg1-3) unstable; urgency=medium

  * debian/control: fix domain name in Vcs fields
  * explicitly set the build date to the date of the last changelog entry
    (closes: #786846):
    - add patch 0003-allow-set-build-date to set the build date in the
      Makefile in a variable
    - debian/rules: pass the correct value of the build date to the Makefile
    Thanks to Juan Picca <jumapico@gmail.com> and Jakub Wilk <jwilk@debian.org>
    for the patch!
  * rename patch 0001-dont-activate-debug-flag to be consistent with other
    patches

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 May 2015 20:48:35 +0200

alt-ergo (0.99.1+dfsg1-2) unstable; urgency=low

  * upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 May 2015 19:05:42 +0200

alt-ergo (0.99.1+dfsg1-1) experimental; urgency=medium

  * New upstream version.
  * debian/copyright: add Files-Excluded: non-free
  * debian/watch: mangle suffix +dfsg\d*
  * debian/rules:
    - override for dh_auto_clean target: call "make clean" only
      when config.status present
    - override for dh_auto_install: drop install-pack target
  * update debian patch 0001-No-need-to-activate-debug-flag which now applies
    to the file Makefile.users
  * new patch 0002-non-free-dropped: adapt Makefile.users to the removal of
    the non-free directory.
  * Drop the libalt-ergo-ocaml-dev binary package since upstream does no
    longer support installation of development libraries.
  * Standards-Version 3.9.6 (no change)
  * Added DEP8-style package tests:
    - debian/control: add XS-Testsuite field
    - added debian/tests, with two test scripts on the examples installed with
      the package.

 -- Ralf Treinen <treinen@debian.org>  Wed, 31 Dec 2014 13:02:03 +0100

alt-ergo (0.95.2-3) sid; urgency=medium

  * Remove previously introduced patch since relevant API change
    has been reverted in OCamlgraph 1.8.5.
    - Remove 0002-Port-to-OCamlgraph-1.8.4.patch
    - Build-Depend on OCamlgraph >= 1.8.5~.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 21:42:15 +0200

alt-ergo (0.95.2-2) sid; urgency=medium

  * Port to OCamlgraph 1.8.4 (Closes: #743072)
    - add 0002-Port-to-OCamlgraph-1.8.4.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 30 Mar 2014 23:07:47 +0200

alt-ergo (0.95.2-1) sid; urgency=low

  * New upstream release.
  * Update debian/watch, now points to ocamlpro site.
  * Refresh patch 0001-No-need-to-activate-debug-flag.patch
  * Drop patch 0002-Do-not-run-the-test-if-test.mlw-is-absent-and-use-be.patch:
    the file test.mlw is no longer relevant.
  * drop patches that have been applied by upstream:
    - 0003-Fix-a-typo.patch
    - 0004-Add-rules-and-targets-for-gui.byte.patch
    - 0005-Look-for-cma-instead-of-cmxa-for-lablgtksourceview2.patch
    - 0007-Fix-all-target.patch
    - 0008-Split-install-pack-into-two-separate-targets-opt-and.patch
    - 0009-clean-remove-META.patch
  * Add build-dependency on libzarith-ocaml-dev
  * debian/rules:
    - drop backup of .depend which is no longer needed
    - drop overwrite for dh_auto_configure
    - in dh_auto_build target, drop touching of configure
  * debian/copyright:
    - update Download field to ocamlpro
    - Upstream Contact : add alt-ergo-bugs mailing list
    - Update copyright holder and year for files *
    - Put paragraphs into the right order
  * install examples/ into /usr/share/doc/alt-ergo
  * Standards-version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Nov 2013 14:25:38 +0100

alt-ergo (0.95.1-3) unstable; urgency=low

  * make libalt-ergo-ocaml-dev conflict and replace with alt-ergo (<<
    0.95.1-1) to resolve file conflict with versions of the package before
    the split into two binary packages (closes: #718010).

 -- Ralf Treinen <treinen@debian.org>  Sat, 24 Aug 2013 10:56:21 +0200

alt-ergo (0.95.1-2) unstable; urgency=low

  * upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 May 2013 21:19:12 +0200

alt-ergo (0.95.1-1) experimental; urgency=low

  * New upstream release.
  * Split off a package for the development libraries.
  * Patches:
    - Adapted all patches to new upstream.
    - Merge patch 0009-fix-install-gui-target into
      0004-Add-rules-and-targets-for-gui.byte
    - Add patch 0009-clean-remove-META.patch
    - Drop patch 0006-PRECM-O-X-is-needed-to-link-altgr-ergo.patch as
      upstream's makefile is doing the right thing.
  * debian/rules:
     - dh_auto-build: don't call "make altgr-ergo.$(OCAML_BEST)" since this
       is now subsumed by "make all"
     - drop the dh_install override since upstream's Makefile does the
       right thing
     - configure target: remove the "alt_ergo" from the libdir flag
       as this is added in upstream's Makefile.
     - Drop creation of the META file by debian/rules as this is now done by
       upstream's Makefile.
  * Drop debian/alt-ergo.dirs.in as all needed directories are created by
    upstream's Makefile.
  * Source-format 3.0 (quilt):
    - debian/source/format: update
    - debian/rules: drop "quilt" option from dh invocation
    - debian/control: drop quilt from build-dependencies
    - drop debian/README.source which is no longer necessary
  * Drop build-dependencies on autotools-dev, autoconf which are not needed.
    Touch configure in debian/rules to assure it is newer than configure.in.
  * Remove debian/docs as the upstream README file is useless for users of
    the debian package.
  * update clean target:
    - invoke dist-clean instead of clean in debian/rules
    - drop debian/clean which is no longer necessary (with patch
      0009-clean-remove-META.patch applied)
  * Rewrite long package description.
  * debian/watch: add extra directory per release.
  * debian/copyright:
    - machine-readable format 1.0
    - update copyright years to 2006-2011
    - add copyright holder Francois Bobot
  * Added myself as uploader.
  * Standards-Version 3.9.4 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Apr 2013 09:45:39 +0200

alt-ergo (0.94-2) unstable; urgency=high

  * Add autoconf to Build-Depends to resolve an FTBFS (Closes: #669539).
  * Setting urgency to "high" to fix the RC bug.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 14 May 2012 14:11:48 +0200

alt-ergo (0.94-1) unstable; urgency=low

  * New upstream release.
  * Rebase patches

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Dec 2011 17:18:57 +0100

alt-ergo (0.93-3) unstable; urgency=low

  * Fix lablgtksourceview2 detection on bytecode architectures.
    - 0005-Look-for-cma-instead-of-cmxa-for-lablgtksourceview2.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 16:27:24 +0200

alt-ergo (0.93-2) unstable; urgency=low

  * Add patch to fix FTBFS on bytecode architectures.
    - 0004-Add-rules-and-targets-for-gui.byte.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 00:47:04 +0200

alt-ergo (0.93-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Add liblablgtk2-gnome-ocaml-dev and liblablgtksourceview2-ocaml-dev
    to Build-Depends (needed by altgr-ergo).

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 15 Apr 2011 23:31:11 +0200

alt-ergo (0.91-2) unstable; urgency=low

  * Fix build on bytecode architecures: "test" target should depend on
    "best" alternative, and not "opt".

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 22:25:38 +0200

alt-ergo (0.91-1) unstable; urgency=low

  * New upstream release.
  * Update my email address and remove DMUA
  * Refresh packaging (dh-ocaml, dh overrides, quilt)
    - Do not run tests when input files are absent
      0002-Do-not-run-the-test-if-test.mlw-is-absent.patch
  * Bump standards to 3.8.4
    - Add a debian/README.source
  * Add a debian/source/format (keep 1.0 format, for now)
  * Fix a typo in the sources
    - Add 0003-Fix-a-typo.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 21:24:28 +0200

alt-ergo (0.9-1) unstable; urgency=low

  * New Upstream Version
  * Update build dependencies to ease OCaml 3.11.1 transition
  * Bump standards version to 3.8.2

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 06 Jul 2009 23:16:02 +0200

alt-ergo (0.8-1) unstable; urgency=low

  * Initial release (Closes: #468557)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 24 Feb 2009 10:15:46 +0100